public class dortislemhesapmakinasi 
{ 

 //sınıf değişkenleri x sonuc hafiza
 

 protected double x,sonuc,hafiza; 

 // kurucu metot dortislemhesapmakinesi 

 public dortislemhesapmakinasi(double y) 
 { 
 //constructor 
 sonuc=y;
 hafiza=0;
 } 
 
 
// ikinci bir kurucu metot dortislemhesapmakinesi 

 public dortislemhesapmakinasi() 
 {  
 sonuc=0;
 hafiza=0;
 } 

 public double topla(double x) 
 { 
 sonuc+=x; 
 return sonuc; 
 } 

 public double cikar(double x) 
 { 
 sonuc-=x;
 return sonuc; 
 } 

 public double carp(double x) 
 { 
 sonuc*=x;
 return sonuc; 
 } 

 public double bol(double x) 
 { 
 sonuc/=x;
 return sonuc; 
 } 

 //bu metodla sonuc değeri değiştirilir 

 public void gir(double x) 
 { 
 sonuc=x; 
 }

 public double oku()
 {
 return sonuc;
 }

 public void C()
 {
 sonuc=0;
 }
 
 public void M(double x)
 {
 //hafızaya al
 hafiza=x;
 }

 public double MR()
 {
 //hafızayı çagır
 return hafiza;
 }
 
 public void MTopla(double x)
 {
 hafiza+=x;
 }  
 
 
 public void Mcikar(double x)
 {
 hafiza-=x;
 }   

 public double isaretdegistir()
 {
 sonuc=-sonuc;
 return sonuc;
 }

 
 public String toString()
 {
 return ""+sonuc;
 }
 
 public String MtoString()
 {
 return ""+hafiza;
 }
 } 

  
